Debian Bug report logs - #240069
options menu broken with UTF-8

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>

Date: Thu, 25 Mar 2004 17:48:02 UTC

Severity: minor

Found in version 2.8.5-20

Fixed in version lynx-cur/2.8.6-20

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@nongnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#240069; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: options menu broken with UTF-8
Date: Thu, 25 Mar 2004 19:29:16 +0200
Package: lynx-cur
Version: 2.8.5-20
Severity: minor

  Lynx-cur incorrectly displays options menu with UTF-8 locale
(uk_UA.UTF-8). It displays input fields in different columns. When I run
lynx-cur with uk_UA.KOI8-U locale input fields begin on the same column.

  Other problem is that lynx uses encoding form config file for
displaying web pages, and encoding from current locale for displaying
the options menu.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.25
Locale: LANG=uk_UA, LC_CTYPE=uk_UA

Versions of packages lynx-cur depends on:
ii  debconf                     1.4.17       Debian configuration management sy
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libgnutls7                  0.8.12-5     GNU TLS library - runtime library
ii  libncursesw5                5.4-3        Shared libraries for terminal hand
ii  zlib1g                      1:1.2.1-5    compression library - runtime

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#240069; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 240069@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: eugen@univ.kiev.ua, 240069@bugs.debian.org
Subject: Re: Bug#240069: options menu broken with UTF-8
Date: Mon, 29 Mar 2004 07:42:36 +0900 (JST)
From: Eugeniy Meshcheryakov <eugen@univ.kiev.ua>
Subject: Bug#240069: options menu broken with UTF-8
Date: Thu, 25 Mar 2004 19:29:16 +0200

>   Lynx-cur incorrectly displays options menu with UTF-8 locale
> (uk_UA.UTF-8). It displays input fields in different columns. When I run
> lynx-cur with uk_UA.KOI8-U locale input fields begin on the same column.

Yes I noticed the problem too.  I'll forward the problem
to the upstream.

Perhaps this is a problem of ncursesw library, I guess.

>   Other problem is that lynx uses encoding form config file for
> displaying web pages, and encoding from current locale for displaying
> the options menu.

Okay I'll forward this also to the upstream.

Thanks for your interest in lynx-cur.

Regards,		    2004.3.29(Mon)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#240069; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #15 received at 240069@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: control@bugs.debian.org
Cc: 240069@bugs.debian.org
Subject: forwarded to the upstream
Date: Fri, 17 Sep 2004 10:45:36 +0900 (JST)
forwarded 240069 lynx-dev@nongnu.org
stop

I already forwarded this to the upstream;

From: Atsuhito KOHDA <kohda@nsx.pm.tokushima-u.ac.jp>
Subject: [Lynx-dev] options menu broken with UTF-8
Date: Mon, 29 Mar 2004 16:24:56 +0900 (JST)

> Hi, we got the following bug report in a Debian Bug Tracking
> System.
> 
> (cf. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=240069)
> 
> >   Lynx-cur incorrectly displays options menu with UTF-8 locale
> > (uk_UA.UTF-8). It displays input fields in different columns. When I run
> > lynx-cur with uk_UA.KOI8-U locale input fields begin on the same column.
> 
> I also encountered the same problem with LANG=ja_JP.utf-8
> on mlterm.
> 
> Further, the submitter said as follows but I'm not sure
> this was correct or not.
> 
> >   Other problem is that lynx uses encoding form config file for
> > displaying web pages, and encoding from current locale for displaying
> > the options menu.
> 
> System info:
> lynx-cur 2.8.5rel.1
> libncursesw 5.4
> 
> Thanks in advance.



Noted your statement that Bug has been forwarded to lynx-dev@nongnu.org. Request was from Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 240069-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 240069-close@bugs.debian.org
Subject: Bug#240069: fixed in lynx-cur 2.8.6-20
Date: Wed, 01 Feb 2006 22:32:10 -0800
Source: lynx-cur
Source-Version: 2.8.6-20

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6-20_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6-20_all.deb
lynx-cur_2.8.6-20.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-20.diff.gz
lynx-cur_2.8.6-20.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-20.dsc
lynx-cur_2.8.6-20_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-20_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 240069@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  2 Feb 2006 14:39:06 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6-20
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 240069 252856
Changes: 
 lynx-cur (2.8.6-20) unstable; urgency=low
 .
   * Added "--enable-justify-elts" option and changed "JUSTIFY:TRUE" in lynx.cfg
   * Reverted ncursesw again!  This fixed broken utf-8 support.
     (Closes: #252856, #240069)
Files: 
 666f47da3f9cd3dab61d7b0704c38c95 656 web extra lynx-cur_2.8.6-20.dsc
 c586036e298c059ca3c8be9cc07416b8 3212165 web extra lynx-cur_2.8.6-20.diff.gz
 77f7c121d5a226cf391bcc789484e379 13110 web extra lynx-cur-wrapper_2.8.6-20_all.deb
 b0948521173d766f735f0cd96d6eb9de 1948740 web extra lynx-cur_2.8.6-20_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD4aG01IXdL1v6kOwRAtbgAJwPWoaGnKtKdbMo4WauEGiV8PdVRACeKM9x
Xqs2OlfX9mW3TryoNxCLDbU=
=aKSL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 08:53:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:05:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.